/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JasmineMessageEventVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.vo
{
import com.adobe.cairngorm.vo.IValueObject;

import mx.controls.Alert;

/**
 * @author Guillaume Renault
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.common.jms.event.JasmineMessageEvent")]
[Bindable]
public class JasmineMessageEventVO implements IValueObject
{

    /**
     * Domain of the probed server.
     */
    private var paramDomain : String;

    public function set domain( domain : String ) : void {
        this.paramDomain = domain;
    }

    public function get domain() : String {
        return this.paramDomain;
    }

    /**
     * Name of the probed server.
     */
    private var paramServer : String;

    public function set server( server : String ) : void {
        this.paramServer = server;
    }

    public function get server() : String {
        return this.paramServer;
    }

    /**
     * Event source (for example, MBeanCmd or JMX).
     */
    private var paramSource : String;

    public function set source(source : String ) : void {
        this.paramSource = source;
    }

    public function get source() : String {
        return this.paramSource;
    }

    /**
     * Probe type.
     */
    private var paramProbe : String;

    public function set probe(probe : String) : void {
        this.paramProbe = probe;
    }

    public function get probe() : String {
        return this.paramProbe;
    }

    /**
     * Probed value.
     */
    private var paramValue : String;

    public function set value(value:String) : void {
        this.paramValue = value;
    }

    public function get value() : String {
        return this.paramValue;
    }

    /**
     * Probe time (precise up to a second).
     */
    private var paramTimestamp : Number;

    public function set timestamp(time : Number) : void {
        this.paramTimestamp = time;
    }

    public function get timestamp() : Number {
        return this.paramTimestamp;
    }

    /**
     * Formatted timestamp : yyyy/MM/dd HH:mm:ss .
     */
    private var paramFormattedTimeStamp : String;

    public function set formattedTimeStamp(time : String) : void {
        this.paramFormattedTimeStamp = time;
    }

    public function get formattedTimeStamp() : String {
        return this.paramFormattedTimeStamp;
    }

    /**
     * JMX url of the probe.
     */
    private var paramSname : String;

    public function set sname(sname : String) : void {
        this.paramSname = sname;
    }

    public function get sname() : String {
        return this.paramSname;
    }

}
}
